Thread (44 messages) 44 messages, 8 authors, 2016-02-24

Re: [PATCH v8 4/8] ppc64 ftrace_with_regs configuration variables

From: Murali Sampath <hidden>
Date: 2016-02-11 13:09:02
Also in: lkml


  Original Message
From: Balbir Singh
Sent: Thursday, February 11, 2016 4:37 AM
To: Kamalesh Babulal
Cc: Petr Mladek; Jessica Yu; linux-kernel@vger.kernel.org; Steven Rostedt; =
Torsten Duwe; Jiri Kosina; live-patching@vger.kernel.org; Miroslav Benes; l=
inuxppc-dev@lists.ozlabs.org
Subject: Re: [PATCH v8 4/8] ppc64 ftrace_with_regs configuration variables


On Thu, 2016-02-11 at 14:09 +0530, Kamalesh Babulal wrote:
* Balbir Singh [off-list ref] [2016-02-11 18:48:17]:
quoted
On Wed, 2016-02-10 at 17:25 +0100, Torsten Duwe wrote:

snip
quoted
diff --git a/arch/powerpc/gcc-mprofile-kernel-notrace.sh
b/arch/powerpc/gcc-mprofile-kernel-notrace.sh
new file mode 100755
index 0000000..68d6482
--- /dev/null
+++ b/arch/powerpc/gcc-mprofile-kernel-notrace.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Test whether the compile option -mprofile-kernel
+# generates profiling code ( =3D a call to mcount), and
+# whether a function without any global references sets
+# the TOC pointer properly at the beginning, and
+# whether the "notrace" function attribute successfully
+# suppresses the _mcount call.
+
+echo "int func() { return 0; }" | \
+    $* -S -x c -O2 -p -mprofile-kernel - -o - 2> /dev/null | \
+    grep -q "mcount"
+
+trace_result=3D$?
+
+echo "int func() { return 0; }" | \
+    $* -S -x c -O2 -p -mprofile-kernel - -o - 2> /dev/null | \
+    sed -n -e '/func:/,/bl _mcount/p' | grep -q TOC
+
+leaf_toc_result=3D$?
+
leaf_toc_result failed for me with gcc 5. I'll try and grab gcc-6
and give the patches a spin
It fails for me to on ppc64le but pass over ppc64
This series is for ppc64le only, so we can safely ignore ppc64 for now

Regards,
Balbir Singh.
_______________________________________________
Linuxppc-dev mailing list
Linuxppc-dev@lists.ozlabs.org
https://lists.ozlabs.org/listinfo/linuxppc-dev
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help